﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkID=397704
// To debug code on page load in Ripple or on Android devices/emulators: launch your app, set breakpoints, 
// and then run "window.location.reload()" in the JavaScript Console.
(function () {
    "use strict";

    var apiUrl = "http://mobil.eclickapi.com/supershop/api.json?action=pushReg";

    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onDeviceReady() {
        // Handle the Cordova pause and resume events
        document.addEventListener('pause', onPause.bind(this), false);
        document.addEventListener('resume', onResume.bind(this), false);

        // TODO: Cordova has been loaded. Perform any initialization that requires Cordova here.
        window.open = cordova.InAppBrowser.open;

        StatusBar.hide();

        var url = 'https://www.supershop.hu/app';
        console.log(url);
        var ref = window.open(url, '_blank', 'location=no,toolbar=no,fullscreen=yes');

        console.log(PushNotification);

        var push = PushNotification.init({
            android: {
                senderID: "824605385092"
            },
            browser: {
                pushServiceURL: 'http://push.api.phonegap.com/v1/push'
            },
            ios: {
                alert: "true",
                badge: "true",
                sound: "true"
            },
            windows: {}
        });

        push.on('registration', function (data) {
            // data.registrationId
            console.log(data);
            var url = apiUrl + "&platform=android&payload=" + data.registrationId;
            console.log(url);

            var http = new XMLHttpRequest();
            http.open("POST", url, true);

            //Send the proper header information along with the request
            http.setRequestHeader("Accept", "application/json");

            http.onreadystatechange = function () {//Call a function when the state changes.
                if (http.readyState == 4 && http.status == 200) {
                    console.log(http.responseText);
                }
            }
            http.send();
        });

        push.on('notification', function (data) {
            // data.message,
            // data.title,
            // data.count,
            // data.sound,
            // data.image,
            // data.additionalData
        });

        push.on('error', function (e) {
            // e.message
        });
    };

    function onPause() {
        // TODO: This application has been suspended. Save application state here.
    };

    function onResume() {
        // TODO: This application has been reactivated. Restore application state here.
    };
})();